• 로그인 함 해보끄나?

  • Sarangnamu.net June 17, 2003
    Home Login Profile Study Open Project Q&A Google Code
    travis-ci build-tools;27.0.3 오류
    Last Modify : 24 April, 2018(09:59)
    개인적인 프로젝트를 travis-ci 를 통해 관리하고 있는데 얼마전 최신 버전으로 build-tool 을 변경하고 나니 빌드 오류가 발생하는걸 확인했다. 코드 상으로는 문제는 없었고 jitpack.io 로 라이브러리 배포 역시 문제가 없었는데 유독 travis-ci 만 오류가 발생된것 해당 오류 메시지는 아래와 같았다. A problem occurred evaluating project ':library'. > Failed to install the following Android SDK packages as some licences have not been accepted. build-tools;27.0.3 Android SDK Build-Tools 27.0.3 To build this project, accept the SDK license agreements and install the missing components using the Android Studio SDK Manager. Alternatively, to transfer the license agreements from one workstation to another, see http://d.android.com/r/studio-ui/export-licenses.html 그러곤 잠시 잊은 .travis.yml 파일... 이 원인인걸 파악하곤 해당 파일을 열어서 build tool version 을 변경해주었더니 잘 작동 한다.. 사용하고 있는 .travis.yml 은 아래와 같으며 원래는 unit test 도 포함 시켜놨었는데 언젠가 부터 동작하지 않길래 구글쪽 코드를 보니 그들도 코드 빌드만 진행하고 있길래 일단 동일하게 변경해두었다. language: android jdk: oraclejdk8 # Use the Travis Container-Based Infrastructure sudo: false env: global: - ANDROID_API_LEVEL=26 - ANDROID_BUILD_TOOLS_VERSION=27.0.3 android: components: - tools # to get the new `repository-11.xml` - platform-tools - tools # to install Android SDK tools 25.1.x - build-tools-$ANDROID_BUILD_TOOLS_VERSION - android-$ANDROID_API_LEVEL # For Google APIs - addon-google_apis-google-$ANDROID_API_LEVEL # Google Play Services - extra-google-google_play_services # Support library - extra-android-support # Latest artifacts in local repository - extra-google-m2repository - extra-android-m2repository script: - ./gradlew clean assembleRelease

    Comment


    입력하3 1539791269



    Locations of visitors to this page